#ifndef CTHREADLOCALE_H
#define CTHREADLOCALE_H

class CThreadLocale
{
public:
    explicit CThreadLocale(LCID lcid) : m_lcid(GetThreadLocale()) { SetThreadLocale(lcid); }
    ~CThreadLocale() { SetThreadLocale(m_lcid); }

    static inline LCID    getLCID(VOID)   { return(GetThreadLocale());          }
    static inline LANGID  getLANGID(VOID) { return(LANGIDFROMLCID(getLCID()));  }

private:
    LCID m_lcid;
};

#endif
