#include "precomp.h"

HRESULT ReadFromFile(HANDLE hFile, void* pBuffer, DWORD dwNumBytes, OVERLAPPED* pov) throw()
{
    DWORD dw;

    if(!ReadFile(hFile, pBuffer, dwNumBytes, &dw, pov))
        return(HRESULT_FROM_WIN32(GetLastError()));

    return((dw == dwNumBytes) ? S_OK : __HRESULT_FROM_WIN32(ERROR_FILE_CORRUPT));
}
